import { geoAlbers, geoPath, geoGraticule } from 'd3';

//const projection = d3.geoNaturalEarth1();
//const projection = d3.geoAzimuthalEqualArea();
//const projection = d3.geoAzimuthalEquidistant();

const projection = geoAlbers();
const pathOfState = geoPath(projection);
const graticule = geoGraticule();

var colorLut = d3.scaleThreshold()
    .domain(d3.range(2, 10))
    .range(d3.schemeGreens[9]);

export const Marks = ({ data: { state, interior, rateMap }, color: {sampleData} }) => (
  <g className="marks">
    <path className="sphere" d={pathOfState({ type: 'Sphere' })} />
    {state.features.map((feature, index) => (
      <path
//        className="states"
        d={pathOfState(feature)}
//     		fill={colorLut(rateMap[feature.id].rate)}
//     		fill={sampleData[index].color}
     		fill={colorLut(rateMap[index].rate)}
//        fill = "#99008F"
      />
    ))}
    <path className="interiors" d={pathOfState(interior)} />
  </g>
);
