import React from 'react';
import ReactDOM from 'react-dom';
import { useData } from './useData';
import { Marks } from './Marks';
import { json, tsv, queue } from 'd3';

const width = 960;
const height = 500;

function getRandomColor() {
    var letters = '0123456789ABCDEF';
    var color = '#';
    for (var i = 0; i < 6; i++) {
        color += letters[Math.floor(Math.random() * 16)];
    }
    return color;
}

//The correct name should be randomColorTable
var sampleData = {}; /* Sample random data. */
var pts = new Array(60);
var pt2 = _.range(60);
const arr = [...Array(70)].map((_, i) => i);
arr.forEach(function(d) {
    var low = Math.round(100 * Math.random());
    sampleData[d] = { color: getRandomColor()};
});

const App = () => {
	console.log(sampleData);
  
  const data = useData();

  if (!data) {
    return <pre>Loading...</pre>;
  }
  return (
    <svg width={width} height={height}>
      <Marks data={data} color={sampleData}/>
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
