import React, { useState, useEffect } from 'react';
import { json, tsv } from 'd3';
import { feature, mesh } from 'topojson';

//const jsonUrl = 'https://unpkg.com/world-atlas@2.0.2/countries-50m.json';
//const jsonUrl = 'https://cdn.jsdelivr.net/npm/world-atlas@2/countries-50m.json';
const jsonUrl = 'https://cdn.jsdelivr.net/npm/us-atlas@3/states-10m.json';
//const jsonUrl2 = "https://d3js.org/us-10m.v1.json";
const tsvUrl = "stateRate.tsv";

export const useData = () => {
  const [data, setData] = useState(null);
  
   useEffect(() => {
     Promise.all([
       json(jsonUrl),
       tsv(tsvUrl)
       ]).then(data => {
       const topology = data[0];
       const rateMap = data[1];
       const { states, nation } = topology.objects;
       setData({
         state: feature(topology, states),
         interior: mesh(topology, states, (a, b) => a !== b),
         rateMap: rateMap,
       });
     });
   }, []);
  
  return data;
};
